#include <bits/stdc++.h>
using namespace std;
bool is_prime(int n) {
    if (n == 2) {
        return true;
    }
    for (int i = 2; i < sqrt(n) + 1; i++) {
        if(n % i == 0) {
            return false;
        }
    }
    return true;
}
int main() {
    int n;
    cin >> n;
    vector<int> a(n);
    for (int  i = 0; i < n; i++) {
        cin >> a[i];
    }
    vector<int> color(n);
    vector<bool> is(n);
    color[0] = 1;
    set<pair<int, int>> s;
    for (int i = 0; i < n - 1; i++) {
        for (int j = i + 1; j < n; j++) {
            if (a[i] % a[j] == 0 && is_prime(a[i]/ a[j])) {
                pair<int, int> x = {i, j};
                s.insert(x);
            } else if(a[j] % a[i] == 0 && is_prime(a[j]/ a[i])) {
                pair<int, int> x = {i, j};
                s.insert(x);
            }
        }
    }
    for (auto i : s) {
        if (color[i.first] != 0) {
            color[i.second] = 1 - (color[i.first] - 1) + 1;
        } else if(color[i.second] != 0) {
            color[i.first] = 1 - (color[i.second] - 1) + 1;
        } else {
            color[i.second] = 1;
            color[i.first] = 2;
        }
    }
    for (int i = 0; i < n; i++) {
        if(color[i] == 0) {
            cout << 1 << " ";
        } else {
            cout << color[i] << " ";
        }
    }
}
